
QGIS Application - Bug report #17046

Modeler crash on master

2017-08-22 11:10 AM - Loïc BARTOLETTI

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 24945

Description

Hello,

Modeler crash every time I want to create a new model.

Thanks.

Here the logs:

User Feedback

Report Details

Crash ID: 865a3c6ce0c75e1d06409254aabf1adcefe5a7c5

Stack Trace

(_core) OGREnvelope3D::OGREnvelope3D (unknown file):(unknown line)

(_core) OGREnvelope3D::OGREnvelope3D (unknown file):(unknown line)

(python36) PyCFunction_FastCallDict (unknown file):(unknown line)

(python36) PyObject_GenericGetAttr (unknown file):(unknown line)

(python36) PyEval_EvalFrameDefault (unknown file):(unknown line)

(python36) PyErr_Occurred (unknown file):(unknown line)

(python36) PyObject_GenericGetAttr (unknown file):(unknown line)

(python36) PyEval_EvalFrameDefault (unknown file):(unknown line)

(python36) PyErr_Occurred (unknown file):(unknown line)

(python36) PyObject_GenericGetAttr (unknown file):(unknown line)

(python36) PyEval_EvalFrameDefault (unknown file):(unknown line)

(python36) PyErr_Occurred (unknown file):(unknown line)

(python36) PyObject_GenericGetAttr (unknown file):(unknown line)

(python36) PyEval_EvalFrameDefault (unknown file):(unknown line)

(python36) PyFunction_FastCallDict (unknown file):(unknown line)

(python36) PyObject_CallFunctionObjArgs (unknown file):(unknown line)

(python36) PyObject_Call (unknown file):(unknown line)

(QtCore) PyInit_QtCore (unknown file):(unknown line)

(QtCore) PyInit_QtCore (unknown file):(unknown line)

(QtCore) PyInit_QtCore (unknown file):(unknown line)

(QtCore) PyInit_QtCore (unknown file):(unknown line)

(QtCore) PyInit_QtCore (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAbstractItemView::doubleClicked (unknown file):(unknown line)

(Qt5Widgets) QTreeView::mouseDoubleClickEvent (unknown file):(unknown line)

(QtWidgets) PyInit_QtWidgets (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QFrame::event (unknown file):(unknown line)

(Qt5Widgets) QAbstractItemView::viewportEvent (unknown file):(unknown line)

(QtWidgets) PyInit_QtWidgets (unknown file):(unknown line)

(Qt5Core) QCoreApplicationPrivate::sendThroughObjectEventFilters (unknown file):(unknown line)
(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsExpression::parserErrorString (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsExpression::parserErrorString (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Gui) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

(Qt5Gui) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(USER32) TranslateMessageEx (unknown file):(unknown line)

(USER32) TranslateMessage (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(qwindows) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Core) QCoreApplication::exec (unknown file):(unknown line)

(qgis_app) QgsFieldsProperties::on_mInitCodeSourceComboBox_currentIndexChanged (unknown file):(unknown line)

(kernel32) BaseThreadInitThunk (unknown file):(unknown line)

(ntdll) RtlUserThreadStart (unknown file):(unknown line)

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:1cded85

Compiled against Qt: 5.7.1

Running against Qt: 5.7.1

Compiled against GDAL: 2.2.1

Running against GDAL: 2.2.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2017-08-22 11:11 AM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#2 - 2017-08-22 06:15 PM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce... can you try with a clean qgis config folder?

#3 - 2017-08-24 08:24 AM - Loïc BARTOLETTI

I have remove my .qgis3 (and also .qgis2 ... ) with the same issue.

Here the stages for reproduce it:

- Create a new model

- Add a vector layer

- Add an algorithm
- Fill parameters

- Click OK

- Crash

Thanks.

#4 - 2017-08-24 04:00 PM - Loïc BARTOLETTI

OK, I have deleted my OSGEO4W folder and install a new one (QGIS code revision: commit:21b1c7c) with the same issue

#5 - 2017-08-24 05:49 PM - Nyall Dawson

Cannot reproduce following these steps.

#6 - 2017-08-24 06:32 PM - Harrissou Santanna

I could reproduce it on my win10 machine, osgeo4w install

#7 - 2017-08-24 07:42 PM - Giovanni Manghi

- Status changed from Feedback to Open

Nyall Dawson wrote:

Cannot reproduce following these steps.

updated master on my Windows testing VM and I also get the crash.

#8 - 2017-08-29 04:55 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #17028
